[legull_var name="title"]Privacy Policy[/legull_var]
##Introduction

This privacy policy (“Policy”) and this site’s Terms of Service (together the “Terms”) govern all use of [legull display="siteurl"] and that site’s services (together the “Site” or “Services”).  The owners and contributors to the Site will be referred to as “we,” “us,” or “our” in this Policy.  By using the Site or its Services, and/or by clicking anywhere on this Site to agree to the Terms and this Policy, you are deemed to be a “user” for purposes of this Policy.  You and every other user (“you” or “User” as applicable) are subject to this Policy.  You and each user also agree to the Terms by using the Services.  In these Terms, the word “Site” includes the site referenced above, its owner(s), contributors, suppliers, licensors, and other related parties.

We provide this privacy statement explaining our online information practices, so that you can decide whether and how to interact with the Site and the Services.

We may release your information when we deem it appropriate to comply with the law, enforce our site policies, or protect ours or others' rights, property, or safety.

This online privacy policy applies only to information collected through our website and not to information collected offline.

Please also review our Terms of Use section that governs the use and the users of the Site.

By using our site, you consent to our privacy policy.

If we decide to change our privacy policy, we will post those changes on this page. If we have your email address, we may also send an email notifying you of any changes.

[legull_condition is="has_collectdata"]
##Contact Data and Other Identifiable Information

This site collects certain user information, which may include a username and password, contact information, or any other data that you type in to the site.  It may also identify your IP address to help identify you on future visits to the site.  At our discretion, the Site may use this data to:

* Personalize the user experience and/or customer service
* Improve the site
* To process transactions
* Administer a contest, promotion, survey or other site feature or function
* Send email to users
[/legull_condition]

[legull_condition is="has_sharedata"]
##Sharing User Data

The site may share user data with third parties that [/legull_condition]
[legull_condition is="has_sharedata_helpers"] help the site owner operate and manage the site, [/legull_condition]
[legull_condition is="has_sharedata_ads"]are the site owner's advertisers and marketing partners, [/legull_condition]
[legull_condition is="has_sharedata_unlimited"] buy or rent data for purposes not limited to operating this site.[/legull_condition]

[legull_condition is="has_sharedata_aggregate"]
The site will only share such user data with these third parties in the aggregate, using collected data reporting on user activity and data that the site collects, but not identifying individual users. Information limited to or identifying individual site users will not be shared.[/legull_condition]

[legull_condition is="has_california"]
##California Privacy Rights

California Civil Code Section 1798.83 permits Site users who are residents of California to request and receive once a year a list of any third parties to whom we disclosed any of that user's personal information for direct marketing purposes in the preceding calendar year, as well as the categories of personal information disclosed. If you are a California resident and you wish to make such a request or have any questions about the Site's information sharing, you may send an email to [legull display="privacy_email"], or write to [legull display="privacy_address"].[/legull_condition]

##Mobile Device Privacy

The following applies to our site, when viewed on a mobile device:
When accessed with a mobile deivce, our site may collect information automatically, such as the type of mobile device you have, device identifiers, and information about your use of the site. Regardless of the device you use to access the site, it will also collect information you provide, as well as information about your interaction with the site and its content.
If location services are activated on your mobile device, our site may collect information about the location of your device. Your mobile network service providers may collect device-specific information, such as a device identifier, when you use our website or one of our mobile applications. This information collected by your mobile network service will not be associated with your user account with us, or with your personally identifiable information.

[legull_condition is="has_SSL"]
##Protection of user information

We work to protect the security of your information during transmission by using Secure Sockets Layer (SSL) software, which encrypts information you share with the site.[/legull_condition]

[legull_condition is="has_https_password"]
The Site also protects your account data by using HTTPS transfer protocol.  This is a widely used and more secure communications protocol. [/legull_condition]

[legull_condition is="has_advertising_network"]
###Advertising Network
We use one or more third party vendors to serve ads on the Site. To serve ads and determine how our users use the Site, these services use cookies, or small pieces of code to serve ads to Site users based on users’ visits to the Site and others. Users may adjust their browser settings to disallow the use of cookies.  With cookies turned off, certain features of the Site may work less efficiently or not at all.[/legull_condition]

[legull_condition is="has_advertising_adsense"]
We use Google as an advertising services provider for the Site. Users may opt out of Google’s use of the DART use-tracking cookie by visiting the Google advertising Policies & Principles page.  If you opt out of ad tailoring, you will still see ads, but they will not be based on your browsing history, and they may appear in other languages.[/legull_condition]

[legull_condition is="has_cookies"]
###Cookies

This site uses cookies.  Cookies are small pieces of code that the Site or a service provider will put on your computer if your Web browser allows it.  The Site uses cookies to recognize and keep certain information.  On the Site, that information may be used to recognize your computer and browser from current or past visits to the Site or related sites.  We may use this cookie-captured information to improve our service to you, to aggregate information about visitors to the Site and their behavior, to remember and process items in your shopping cart, to understand and save user preferences, or to keep track of advertising.  We may contract with third-party service providers to assist us in better understanding our site visitors.
In most Internet browsers, you can change your settings so that you will be warned each time a cookie is being sent, or so that cookies will be turned off. With cookies blocked, some functions of the Site may not operate properly.[/legull_condition]

[legull_condition is="has_password"]
##Usernames, Passwords, and Profiles

If prompted, Users must provide a valid email address to the Site, at which the User can receive messages. User must also update the Site if that email address changes. The Site reserves the right to terminate any User account if a valid email is requested but is not provided by the User.
If the Site prompts or allows a User to create a username or profile, Users agree not to pick a username or provide any profile information that would impersonate someone or that is likely to cause confusion with any other person or entity.  The Site reserves the right to cancel a User account or change a username or profile data at any time.  Similarly, if the Site prompts or allows a User to create an avatar or upload a picture, User agrees not to use any image that impersonates some other person or entity, or that is otherwise likely to cause confusion.
You are responsible for protecting your username and password for the Site, and you agree not to disclose it to any third party.  We recommend that you use a passwork that is more than eight characters long.  You are responsible for all activity on your account, whether or not you authorized it.  You agree to inform us of unauthorized use of your account, by email to [legull display="owner_email"].  You acknowledge that if you wish to protect your interactions the Site, it is your responsibility to use a secure encrypted connection, virtual private network, or other appropriate measures.
[/legull_condition]

##Disputes

We are based in [legull display="owner_locality"] and you are contracting to use our Site.  This Policy and all matters arising from your use of the Site are governed by and will be construed according to the laws of [legull display="owner_locality"], without regard to any choice of laws rules of any jurisdiction.  The federal courts and state courts that have geographical jurisdiction over disputes arising at our office location in [legull display="owner_locality"] will be the only permissible venues for any and all disputes arising out of or in connection with this Policy or the Site and Service.

[legull_condition is="has_arbitration"]
##ARBITRATION

Notwithstanding anything that may be contrary within the “Disputes” provisions above, all matters, and all claims within a multi-claim matter, that are arbitrable, including all claims for monetary damages, shall be decided by a single arbitrator to be selected by us, who shall hold hearings in or near [legull display="owner_locality"], under the rules of the American Arbitration Association.[/legull_condition]

[legull_condition isnot="has_no13"]
##No Users Under the Age of 13

The Site is not intended for children under the age of 13.  Children under the age of 13 should not use the Site at any time.  We do not knowingly collect personal information from children under the age of 13.  If we obtain actual knowledge that we have collected information from anyone under the age of 13, we will erase that information from our servers. It is a violation of our Terms of Service for children under the age of 13 to use the Site. [/legull_condition]

##Terms Contact

If you have any questions about these Terms, please address them to [legull display="owner_email"].

##Last Updated

These terms were last updated on *[legull display="last_updated"]*
